import React from 'react';
import renderer from 'react-test-renderer'; // eslint-disable-line import/no-extraneous-dependencies

import Icon from './index';

test('Icon renders correctly', () => {
  const tree = renderer.create(
    <div>
      <Icon name="doc" />
      <Icon size="md" name="doc-text" />
      <Icon size="lg" name="does-not-exists" />
    </div>
  ).toJSON();
  expect(tree).toMatchSnapshot();
});
